Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Ati Radeon 5650, wie installieren?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 21, 2010 4:39 am    Post subject: Ati Radeon 5650, wie installieren? Reply with quote

Hi,

ich bin neu in Sachen ATI unterwegs.
Wie kann ich die ATI Radeon HD 5650 installieren?

vesa will nicht, da hängt der Laptop.
ati-drivers-8.721 geben einen segfault
ati-drivers-10.3 wollen nur mit xorg-server-1.6.5 und der kompiliert nicht

Danke
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
bbgermany
Veteran
Veteran


Joined: 21 Feb 2005
Posts: 1795
Location: Oranienburg/Germany

PostPosted: Wed Apr 21, 2010 7:00 am    Post subject: Reply with quote

Hallo Tobi,

hast du schonmal KMS und xorg-server 1.8 versucht? Meine 4850 läuft damit super.

MfG. Stefan
_________________
1st: i5-4570, 16GB, 1.75TB
2nd: i5-4570, 16GB, 620GB
3rd: i5-4570, 16GB, 10,5TB
4th: Asus N61VN, 8GB, 240GB
5th: C2D T7200, 2GB, 16GB USB + NFS
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Wed Apr 21, 2010 7:12 am    Post subject: Reply with quote

Was genau muss die Karte denn bei dir machen? Ich habe eine 4870, die läuft mit dem radeon Treiber sehr schön. Nur einige Spiele sind extrem lahm. Wie das mit der 5er aussieht? Kenne niemanden, der das getestet hat. ansonsten, eine Auflistung des aktuellen Standes:

http://www.x.org/wiki/RadeonFeature

KMS soll wohl ab 2.6.34 gehen, wenn ich richtig informiert bin. Und Power Saving. Mit dem fglrx wirst du bei Gentoo nie glücklich werden. Ubuntu wird aber von denen supportet. Es gibt schon einen Beta Treiber, der 2.6.32 und 1.7 kann. Der sollte dann zusammen mit Unbuntu, also Ende des Monats erscheinen. Und dann eventuell Ende des Jahres einen, der dann 2.6.33 und 1.8 kann.

Teste auf alle Fälle erst mal den radeon an, wenn du damit hin kommst, dann hast du keinen Stress mehr.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 21, 2010 11:28 am    Post subject: Reply with quote

bbgermany wrote:
Hallo Tobi,

hast du schonmal KMS und xorg-server 1.8 versucht? Meine 4850 läuft damit super.

MfG. Stefan


Treiber sind dann direkt aus dem Kernel? Oder ist KMS nur die Schnittstelle?
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Wed Apr 21, 2010 11:38 am    Post subject: Reply with quote

Finswimmer wrote:
bbgermany wrote:
Hallo Tobi,

hast du schonmal KMS und xorg-server 1.8 versucht? Meine 4850 läuft damit super.

MfG. Stefan


Treiber sind dann direkt aus dem Kernel? Oder ist KMS nur die Schnittstelle?

Nein, das funktioniert bei deiner nicht. Du musst im Kernel unter Graphics Support beim Driect Rendering Manager ATI Radeon aktivieren. Modesetting aber auf gar keinen Fall. Und als Treiber für X dann radeon oder radeonhd. Musst du dann mal ausprobieren, welcher bei dir besser läuft. Ein Teil der Funktionalität der freien Treiber wurde in den Kernel verlagert.

Edit: Hab gerade noch mal nachgeschaut. Den radeonhd vergiss mal ganz schnell wieder, da geht gar nichts für evergreen. Der radeonhd wurde ja damals ins Leben gerufen, weil der radeon keine aktuellen Karten unterstützt hat. Das war damals die 2XXX. Seit dem der radeon aktuelle Karten kann, hat sich der radeonhd wohl überlebt. Er wird bei Novell entwickelt. Und es gab da mal was, dass der Entwickler gegangen ist, gegangen wurde, weiß jetzt gerade nicht so genau, aber da tut sich schon seit einiger Zeit nichts mehr.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Apr 21, 2010 12:25 pm    Post subject: Re: Ati Radeon 5650, wie installieren? Reply with quote

Finswimmer wrote:
Hi,

ich bin neu in Sachen ATI unterwegs.
Wie kann ich die ATI Radeon HD 5650 installieren?

vesa will nicht, da hängt der Laptop.
ati-drivers-8.721 geben einen segfault
ati-drivers-10.3 wollen nur mit xorg-server-1.6.5 und der kompiliert nicht

Danke
Tobi


der macht schon, du musst ihn nur dazu bringen:

/etc/portage/package.mask wrote:
################# BEGIN xorg-server mask

##############=x11-libs/libxcb-1.1.93*
##############=x11-proto/randrproto-1.2.99*
=x11-libs/libdrm-9999
=x11-libs/libXtst-9999*
=x11-base/xorg-server-9999*

=x11-libs/libXrandr-1.2.99*

=x11-proto/fixesproto-4.1*
=x11-libs/libXext-1.1*
=x11-proto/xextproto-7.1*
=x11-libs/libXfixes-4.0.4*
=x11-libs/libXi-1.3*

###########=x11-libs/xtrans-1.2.5*
=x11-libs/libXtst-1.0.99*
=x11-libs/libXtst-1.1*

=x11-libs/libXxf86vm-1.1*
=x11-libs/libXxf86vm-1.1*
=x11-proto/inputproto-2.0*
=x11-proto/recordproto-1.14*
=x11-proto/xf86vidmodeproto-2.3*
=x11-base/xorg-server-1.7*
=x11-base/xorg-server-1.8*

=x11-apps/xinit-1.2.1-r1

=x11-libs/libXxf86vm-1.1*
=x11-proto/xineramaproto-1.2*
=x11-libs/libXinerama-1.1*
=x11-libs/libdmx-1.1*
=x11-apps/xinput-1.5*
=x11-proto/dmxproto-2.3*
######=x11-proto/xf86dgaproto-2.1*
######=x11-libs/libXxf86dga-1.1*
=media-libs/mesa-7.7*
=media-libs/mesa-7.6.1*
=media-libs/mesa-7.8*


################# END xorg-server mask


danach ist evtl. hilfreich:

Quote:
emerge --unmerge libXext xextproto fixesproto libXfixes libXi libXtst libXxf86vm inputproto recordproto xf86vidmodeproto xineramaproto libXinerama dmxproto libdmx


Quote:
emerge -1 x11-libs/libXxf86vm libXinerama && emerge xorg-server && emerge -1 xf86-input-keyboard xf86-input-mouse xf86-input-evdev


ignorier einfach die Fehlermeldungen, wenn er etwas deinstalliert, das du nicht (per use-flags) installiert hast


evtl. musst du noch 2-3 mehr ebuild maskieren, da z.Zt. Updates auf xorg-server 1.8 in den Portage-Baum eintrudeln ...


10.2, 10.3, 10.4 (ati-drivers-8.721) läuft bei mir auch nicht - und ich dachte ich wär der einzige mit Segfaults ?!

versuch es einmal mit 10.1 der läuft wunderbar mit meiner 5850 und bis kernel 2.6.34-rc3 (2.6.34-rc4) mit einem zusätzlichen Patch wahrscheinlich auch ...
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Apr 21, 2010 12:29 pm    Post subject: Reply with quote

ati-drivers-10.1.ebuild wrote:
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-9.10.ebuild,v 1.4 2009/10/05 12:28:21 fauli Exp $

EAPI="2"

inherit eutils multilib linux-mod toolchain-funcs versionator

DESCRIPTION="Ati precompiled drivers for r600 (HD Series) and newer chipsets"
HOMEPAGE="http://www.ati.com"
# 8.ble will be used for beta releases.
if [[ $(get_major_version) -gt 8 ]]; then
ATI_URL="https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/"
# SRC_URI="${ATI_URL}/ati-driver-installer-${PV/./-}-x86.x86_64.run"
SRC_URI="${ATI_URL}/ati-driver-installer-10-1-x86.x86_64.run"
FOLDER_PREFIX="common/"
else
SRC_URI="https://launchpad.net/ubuntu/karmic/+source/fglrx-installer/2:${PV}-0ubuntu1/+files/fglrx-installer_${PV}.orig.tar.gz"
FOLDER_PREFIX=""
fi
IUSE="debug +modules multilib"

LICENSE="AMD GPL-2 QPL-1.0 as-is"
KEYWORDS="amd64 x86"
SLOT="1"

RDEPEND="
!x11-drivers/ati-drivers:0
!x11-apps/ati-drivers-extra
>=app-admin/eselect-opengl-1.0.8
sys-power/acpid
x11-apps/xauth
>=x11-base/xorg-server-1.6.3.901-r2
x11-libs/libXinerama
x11-libs/libXrandr
multilib? ( app-emulation/emul-linux-x86-xlibs )
"

DEPEND="${RDEPEND}
x11-proto/inputproto
x11-proto/xf86miscproto
x11-proto/xf86vidmodeproto
x11-proto/xineramaproto
"

EMULTILIB_PKG="true"

S="${WORKDIR}"

# QA Silencing
QA_TEXTRELS="
usr/lib*/opengl/ati/lib/libGL.so.1.2
usr/lib*/libatiadlxx.so
usr/lib*/xorg/modules/glesx.so
usr/lib*/libaticaldd.so
usr/lib*/dri/fglrx_dri.so
"

QA_EXECSTACK="
opt/bin/atiode
opt/bin/amdcccle
usr/lib*/opengl/ati/lib/libGL.so.1.2
usr/lib*/dri/fglrx_dri.so
"

QA_WX_LOAD="
usr/lib*/opengl/ati/lib/libGL.so.1.2
usr/lib*/dri/fglrx_dri.so
"

QA_PRESTRIPPED="
usr/lib\(32\|64\)\?/libXvBAW.so.1.0
usr/lib\(32\|64\)\?/opengl/ati/lib/libGL.so.1.2
usr/lib\(32\|64\)\?/xorg/modules/glesx.so
usr/lib\(32\|64\)\?/libAMDXvBA.so.1.0
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/dri/fglrx_dri.so
"

QA_SONAME="
usr/lib\(32\|64\)\?/libatiadlxx.so
usr/lib\(32\|64\)\?/libaticalcl.so
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/libaticalrt.so
"

_check_kernel_config() {
if ! kernel_is 2 6; then
eerror "You need a 2.6 linux kernel to compile against!"
die "No 2.6 Kernel found"
fi

# if kernel_is ge 2 6 25 && linux_chkconfig_present PREEMPT_RCU; then
# eerror "${P} is incompatible with RCU preemption (bug #223281)."
# eerror "Please disable it:"
# eerror " CONFIG_PREEMT_RCU=n"
# eerror "in /usr/src/linux/.config or"
# eerror " Processor type and features --->"
# eerror " [ ] Preemptible RCU"
# eerror "in the 'menuconfig'"
# die "CONFIG_PREEMT_RCU enabled"
# fi

# kernel hook checking up latest allowed version
# if kernel_is ge 2 6 32; then
# eerror "Kernels newer then 2.6.31 are not supported by this driver"
# die "Downgrade your kernel"
# fi

if ! linux_chkconfig_present MTRR; then
ewarn "You don't have MTRR support enabled in the kernel."
ewarn "Direct rendering will not work."
fi

if linux_chkconfig_builtin DRM; then
ewarn "You have DRM support built in to the kernel"
ewarn "Direct rendering will not work."
fi

if ! linux_chkconfig_present AGP && \
! linux_chkconfig_present PCIEPORTBUS; then
ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
ewarn "Direct rendering will not work."
fi

if ! linux_chkconfig_present ACPI; then
eerror "${P} requires the ACPI support in the kernel"
eerror "Please enable it:"
eerror " CONFIG_ACPI=y"
eerror "in /usr/src/linux/.config or"
eerror " Power management and ACPI options --->"
eerror " [*] Power Management support"
eerror "in the 'menuconfig'"
die "CONFIG_ACPI disabled"
fi

if ! linux_chkconfig_present MAGIC_SYSRQ; then
eerror "${P} requires the magic SysRq keys in the kernel."
eerror "Please enable it:"
eerror " CONFIG_MAGIC_SYSRQ=y"
eerror "in /usr/src/linux/.config or"
eerror " Kernel hacking --->"
eerror " [*] Magic SysRq key"
eerror "in the 'menuconfig'"
die "CONFIG_MAGIC_SYSRQ disabled"
fi

if ! linux_chkconfig_present PCI_MSI; then
eerror "${P} requires MSI in the kernel."
eerror "Please enable it:"
eerror " CONFIG_PCI_MSI=y"
eerror "in /usr/src/linux/.config or"
eerror " Bus options (PCI etc.) --->"
eerror " [*] Message Signaled Interrupts (MSI and MSI-X)"
eerror "in the kernel config."
die "CONFIG_PCI_MSI disabled"
fi

if linux_chkconfig_present LOCKDEP; then
eerror "You've enabled LOCKDEP -- lock tracking -- in the kernel."
eerror "Unfortunately, this option exports the symbol lock_acquire as GPL-only."
eerror "This prevents ${P} from compiling with an error like this:"
eerror "FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
eerror "Please make sure the following options have been unset:"
eerror " Kernel hacking --->"
eerror " [ ] Lock debugging: detect incorrect freeing of live locks"
eerror " [ ] Lock debugging: prove locking correctness"
eerror " [ ] Lock usage statistics"
eerror "in 'menuconfig'"
die "LOCKDEP enabled"
fi
}

pkg_setup() {
# Define module dir.
MODULE_DIR="${S}/${FOLDER_PREFIX}/lib/modules/fglrx/build_mod"
# xorg folder
BASE_DIR="${S}/x740"

# amd64/x86
if use amd64 ; then
MY_BASE_DIR="${BASE_DIR}_64a"
PKG_LIBDIR=lib64
ARCH_DIR="${S}/arch/x86_64"
else
MY_BASE_DIR="${BASE_DIR}"
PKG_LIBDIR=lib
ARCH_DIR="${S}/arch/x86"
fi

if use modules; then
MODULE_NAMES="fglrx(video:${S}/${FOLDER_PREFIX}/lib/modules/fglrx/build_mod/2.6.x)"
BUILD_TARGETS="kmod_build"
linux-mod_pkg_setup
BUILD_PARAMS="GCC_VER_MAJ=$(gcc-major-version) KVER=${KV_FULL} KDIR=${KV_DIR}"
_check_kernel_config
fi

elog
elog "Please note that this driver supports only graphic cards based on"
elog "r600 chipset and newer."
elog "This represent the ATI Radeon HD series at this moment."
elog
elog "If your card is older one, usage of ${CATEGORY}/xf86-video-ati"
elog "as replacement is highly recommended. Rather than staying with"
elog "old versions of this driver."
elog "For migration informations please reffer to:"
elog "http://www.gentoo.org/proj/en/desktop/x/x11/ati-migration-guide.xml"
einfo
}

src_unpack() {
if [[ $(get_major_version) -gt 8 ]]; then
# Switching to a standard way to extract the files since otherwise no signature file
# would be created
local src="${DISTDIR}/${A}"
sh "${src}" --extract "${S}" 2&>1 /dev/null
else
unpack ${A}
fi
}

src_prepare() {
epatch "${FILESDIR}"/ati-drivers-xen.patch
# epatch "${FILESDIR}"/ati-drivers-2.6.33.patch
epatch "${FILESDIR}"/2.6.33-9.12-fix_compilation.patch
epatch "${FILESDIR}"/fglrx-2.6.34-rc4.patch

# All kernel options for prepare are meant to be in here
if use modules; then
# version patches
# epatch "${FILESDIR}"/kernel/${PV}-*.patch
if use debug; then
sed -i '/^#define DRM_DEBUG_CODE/s/0/1/' \
"${MODULE_DIR}/firegl_public.c" \
|| die "Failed to enable debug output."
fi
fi

# Kernel patches
# kernel_is ge 2 6 31 && epatch "${FILESDIR}"/kernel/2.6.31-fglrx_find_task_by_vpid.patch

# These are the userspace utilities that we also have source for.
# We rebuild these later.
rm \
"${ARCH_DIR}"/usr/X11R6/bin/{fgl_glxgears,fglrx_xgamma} \
"${ARCH_DIR}"/usr/X11R6/${PKG_LIBDIR}/libfglrx_gamma* \
|| die "bin rm failed"

# ACPI fixups
sed -i \
-e "s:/var/lib/xdm/authdir/authfiles/:/var/run/xauth/:" \
-e "s:/var/lib/gdm/:/var/gdm/:" \
"${S}/${FOLDER_PREFIX}etc/ati/authatieventsd.sh" \
|| die "sed failed."

# Since "who" is in coreutils, we're using that one instead of "finger".
sed -i -e 's:finger:who:' \
"${S}/${FOLDER_PREFIX}usr/share/doc/fglrx/examples/etc/acpi/ati-powermode.sh" \
|| die "Replacing 'finger' with 'who' failed."
# Adjust paths in the script from /usr/X11R6/bin/ to /opt/bin/ and
# add function to detect default state.
epatch "${FILESDIR}"/ati-powermode-opt-path-2.patch || die "Failed to epatch powermode-opt-path-2.patch"

cd "${MODULE_DIR}"
ln -s "${ARCH_DIR}"/lib/modules/fglrx/build_mod/libfglrx_ip.a.GCC$(gcc-major-version) \
|| die "symlinking precompiled core failed"

convert_to_m 2.6.x/Makefile || die "convert_to_m failed"

# When built with ati's make.sh it defines a bunch of macros if
# certain .config values are set, falling back to less reliable
# detection methods if linux/autoconf.h is not available. We
# simply use the linux/autoconf.h settings directly, bypassing the
# detection script.
sed -i -e 's/__SMP__/CONFIG_SMP/' *.c *h || die "SMP sed failed"
sed -i -e 's/ifdef MODVERSIONS/ifdef CONFIG_MODVERSIONS/' *.c *.h \
|| die "MODVERSIONS sed failed"
cd "${S}"

mkdir extra || die "mkdir failed"
cd extra
unpack ./../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz
sed -i -e 's:include/extensions/extutil.h:X11/extensions/extutil.h:' \
lib/fglrx_gamma/fglrx_gamma.c || die "include fixup failed"
# Add a category.
mv programs/fglrx_gamma/fglrx_xgamma.{man,1} || die "man mv failed"
}

src_compile() {
use modules && linux-mod_src_compile

ebegin "Building fgl_glxgears"
cd "${S}"/extra/fgl_glxgears
# These extra libs/utils either have an Imakefile that does not
# work very well without tweaking or a Makefile ignoring CFLAGS
# and the like. We bypass those.

# The -DUSE_GLU is needed to compile using nvidia headers
# according to a comment in ati-drivers-extra-8.33.6.ebuild.
"$(tc-getCC)" -o fgl_glxgears ${CFLAGS} ${LDFLAGS} -DUSE_GLU \
-I"${S}"/${FOLDER_PREFIX}usr/include fgl_glxgears.c \
-lGL -lGLU -lX11 -lm || die "fgl_glxgears build failed"
eend $?

ebegin "Building fglrx_gamma lib"
cd "${S}"/extra/lib/fglrx_gamma
"$(tc-getCC)" -shared -fpic -o libfglrx_gamma.so.1.0 ${CFLAGS} ${LDFLAGS} \
-DXF86MISC -Wl,-soname,libfglrx_gamma.so.1.0 fglrx_gamma.c \
-lXext || die "fglrx_gamma lib build failed"
ln -s libfglrx_gamma.so.1.0 libfglrx_gamma.so || die "ln failed"
ln -s libfglrx_gamma.so.1.0 libfglrx_gamma.so.1 || die "ln failed"
eend $?

ebegin "Building fglrx_gamma util"
cd "${S}"/extra/programs/fglrx_gamma
"$(tc-getCC)" -o fglrx_xgamma ${CFLAGS} ${LDFLAGS} \
-I../../../${FOLDER_PREFIX}usr/X11R6/include -L../../lib/fglrx_gamma \
fglrx_xgamma.c -lm -lfglrx_gamma -lX11 \
|| die "fglrx_gamma util build failed"
eend $?

}

src_install() {
use modules && linux-mod_src_install

# We can do two things here, and neither of them is very nice.

# For direct rendering libGL has to be able to load one or more
# dri modules (files ending in _dri.so, like fglrx_dri.so).
# Gentoo's mesa looks for these files in the location specified by
# LIBGL_DRIVERS_PATH or LIBGL_DRIVERS_DIR, then in the hardcoded
# location /usr/$(get_libdir)/dri. Ati's libGL does the same
# thing, but the hardcoded location is /usr/X11R6/lib/modules/dri
# on x86 and amd64 32bit, /usr/X11R6/lib64/modules/dri on amd64
# 64bit. So we can either put the .so files in that (unusual,
# compared to "normal" mesa libGL) location or set
# LIBGL_DRIVERS_PATH. We currently do the latter. See also bug
# 101539.

# The problem with this approach is that LIBGL_DRIVERS_PATH
# *overrides* the default hardcoded location, it does not extend
# it. So if ati-drivers is merged but a non-ati libGL is selected
# and its hardcoded path does not match our LIBGL_DRIVERS_PATH
# (because it changed in a newer mesa or because it was compiled
# for a different set of multilib abis than we are) stuff breaks.

# We create one file per ABI to work with "native" multilib, see
# below.

echo "COLON_SEPARATED=LIBGL_DRIVERS_PATH" > "${T}/03ati-colon-sep"
doenvd "${T}/03ati-colon-sep" || die

# All libraries that we have a 32 bit and 64 bit version of on
# amd64 are installed in src_install-libs. Everything else
# (including libraries only available in native 64bit on amd64)
# goes in here.

# There used to be some code here that tried to detect running
# under a "native multilib" portage ((precursor of)
# http://dev.gentoo.org/~kanaka/auto-multilib/). I removed that, it
# should just work (only doing some duplicate work). --marienz
if has_multilib_profile; then
local OABI=${ABI}
for ABI in $(get_install_abis); do
src_install-libs
done
ABI=${OABI}
unset OABI
else
src_install-libs
fi

# This is sorted by the order the files occur in the source tree.

# X modules.
exeinto /usr/$(get_libdir)/xorg/modules/drivers
doexe "${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/drivers/fglrx_drv.so || die
exeinto /usr/$(get_libdir)/xorg/modules/linux
doexe "${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/linux/libfglrxdrm.so || die
exeinto /usr/$(get_libdir)/xorg/modules
doexe "${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/{esut.a,glesx.so,amdxmm.so} || die

# Arch-specific files.
# (s)bin.
into /opt
dosbin "${ARCH_DIR}"/usr/sbin/atieventsd || die
# We cleaned out the compilable stuff in src_unpack
dobin "${ARCH_DIR}"/usr/X11R6/bin/* || die

# lib.
exeinto /usr/$(get_libdir)
# Everything except for the libGL.so installed in src_install-libs.
doexe $(find "${ARCH_DIR}"/usr/X11R6/${PKG_LIBDIR} \
-maxdepth 1 -type f -name '*.so*' -not -name 'libGL.so*')
insinto /usr/$(get_libdir)
doins $(find "${ARCH_DIR}"/usr/X11R6/${PKG_LIBDIR} \
-maxdepth 1 -type f -not -name '*.so*')

# Common files.
# etc.
insinto /etc/ati
# Everything except for the authatieventsd.sh script.
doins ${FOLDER_PREFIX}etc/ati/{logo*,control,atiogl.xml,signature,amdpcsdb.default}
insopts -m0755
doins ${FOLDER_PREFIX}etc/ati/authatieventsd.sh || die

# include.
insinto /usr
doins -r ${FOLDER_PREFIX}usr/include || die
insinto /usr/include/X11/extensions
doins ${FOLDER_PREFIX}usr/X11R6/include/X11/extensions/fglrx_gamma.h || die

# Just the atigetsysteminfo.sh script.
into /usr
dosbin ${FOLDER_PREFIX}usr/sbin/* || die

# data files for the control panel.
insinto /usr/share
doins -r ${FOLDER_PREFIX}usr/share/ati || die
insinto /usr/share/pixmaps
doins ${FOLDER_PREFIX}usr/share/icons/ccc_large.xpm || die
make_desktop_entry amdcccle 'ATI Catalyst Control Center' \
ccc_large System

# doc.
dohtml -r ${FOLDER_PREFIX}usr/share/doc/fglrx || die

doman ${FOLDER_PREFIX}usr/share/man/man8/atieventsd.8 || die

pushd ${FOLDER_PREFIX}usr/share/doc/fglrx/examples/etc/acpi > /dev/null

exeinto /etc/acpi
doexe ati-powermode.sh || die
insinto /etc/acpi/events
doins events/* || die

popd > /dev/null

# Done with the "source" tree. Install tools we rebuilt:
dobin extra/fgl_glxgears/fgl_glxgears || die
newdoc extra/fgl_glxgears/README README.fgl_glxgears || die

dolib extra/lib/fglrx_gamma/*so* || die
newdoc extra/lib/fglrx_gamma/README README.libfglrx_gamma || die

dobin extra/programs/fglrx_gamma/fglrx_xgamma || die
doman extra/programs/fglrx_gamma/fglrx_xgamma.1 || die
newdoc extra/programs/fglrx_gamma/README README.fglrx_gamma || die

# Gentoo-specific stuff:
newinitd "${FILESDIR}"/atieventsd.init atieventsd \
|| die "Failed to install atieventsd.init.d"
echo 'ATIEVENTSDOPTS=""' > "${T}"/atieventsd.conf
newconfd "${T}"/atieventsd.conf atieventsd || die
}

src_install-libs() {
if [[ "${ABI}" == "amd64" ]]; then
local EX_BASE_DIR="${BASE_DIR}_64a"
local pkglibdir=lib64
local MY_ARCH_DIR="${S}/arch/x86_64"
else
local EX_BASE_DIR="${BASE_DIR}"
local pkglibdir=lib
local MY_ARCH_DIR="${S}/arch/x86"
fi
einfo "ati tree '${pkglibdir}' -> '$(get_libdir)' on system"

local ATI_ROOT=/usr/$(get_libdir)/opengl/ati
# To make sure we do not miss a spot when these change.
local libmajor=1 libminor=2
local libver=${libmajor}.${libminor}

# The GLX libraries
# (yes, this really is "lib" even on amd64/multilib --marienz)
exeinto ${ATI_ROOT}/lib
doexe "${MY_ARCH_DIR}"/usr/X11R6/${pkglibdir}/libGL.so.${libver} || die
dosym libGL.so.${libver} ${ATI_ROOT}/lib/libGL.so.${libmajor} || die
dosym libGL.so.${libver} ${ATI_ROOT}/lib/libGL.so || die

exeinto ${ATI_ROOT}/extensions
doexe "${EX_BASE_DIR}"/usr/X11R6/${pkglibdir}/modules/extensions/* || die

# DRI modules, installed into the path used by recent versions of mesa.
exeinto /usr/$(get_libdir)/dri
doexe "${MY_ARCH_DIR}"/usr/X11R6/${pkglibdir}/modules/dri/fglrx_dri.so || die

# AMD Cal libraries
exeinto /usr/$(get_libdir)
doexe "${MY_ARCH_DIR}"/usr/${pkglibdir}/libati*.so* || die

# warn about removal of .la file
# WILL BE NEEDED IN FUTURE
#if [[ -e ${ATI_ROOT}/lib/libGL.la ]]; then
# ewarn "Since this version the libGL.la is not installed"
# ewarn "For fixing this issues please take look on:"
# ewarn " dev-util/lafilefixer"
# ewarn "This step is needed because the libGL.la is going"
# ewarn "to be removed by newer versions of the media-libs/mesa"
#fi
# Make up a libGL.la. Ati does not provide one, but mesa does. If
# a (libtool-based) libfoo is built with libGL.la present a
# reference to it is put into libfoo.la, and compiling
# (libtool-based) things that link too libfoo.la will complain if
# libGL.la disappears. So if we do not make up a libGL.la
# switching between mesa and ati becomes painful.
local revision=$(printf '%d%02d%02d' $(get_version_components))
sed -e "s:\${libmajor}:${libmajor}:g" \
-e "s:\${libminor}:${libminor}:g" \
-e "s:\${libdir}:$(get_libdir):g" \
-e "s:\${revision}:${revision}:g" \
"${FILESDIR}"/libGL.la.in > "${D}"/${ATI_ROOT}/lib/libGL.la \
|| die "sed failed to make libGL.la"

local envname="${T}"/04ati-dri-path
if [[ -n ${ABI} ]]; then
envname="${envname}-${ABI}"
fi
echo "LIBGL_DRIVERS_PATH=/usr/$(get_libdir)/dri" > "${envname}"
doenvd "${envname}" || die
}

pkg_postinst() {
elog "To switch to ATI OpenGL, run \"eselect opengl set ati\""
elog "To change your xorg.conf you can use the bundled \"aticonfig\""
elog
elog "If you experience unexplained segmentation faults and kernel crashes"
elog "with this driver and multi-threaded applications such as wine,"
elog "set UseFastTLS in xorg.conf to either 0 or 1, but not 2."
elog
elog "You will have to source /etc/profile (or logout and back in) for dri"
elog "to work, unless you previously had ati-drivers installed."

# Workaroud screen corruption
ewarn "If you experience screen corruption with this driver, try putting"
ewarn ' Option "XAANoOffscreenPixmaps" "true"'
ewarn "in the Device Section of /etc/X11/xorg.conf."

use modules && linux-mod_pkg_postinst
"${ROOT}"/usr/bin/eselect opengl set --use-old ati
}

pkg_preinst() {
use modules && linux-mod_pkg_preinst
}

pkg_prerm() {
"${ROOT}"/usr/bin/eselect opengl set --use-old xorg-x11
}

pkg_postrm() {
use modules && linux-mod_pkg_postrm
"${ROOT}"/usr/bin/eselect opengl set --use-old xorg-x11
}


2.6.33-9.12-fix_compilation.patch

Code:
--- work/common/lib/modules/fglrx/build_mod/firegl_public.c
+++ work.new/common/lib/modules/fglrx/build_mod/firegl_public.c
@@ -1441,7 +1441,9 @@
 todo !!!
 #endif
 
-unsigned long ATI_API_CALL __ke__cmpxchg(volatile void *ptr, unsigned long old,
+void __cmpxchg_wrong_size(void) {}
+
+unsigned long ATI_API_CALL __ke__cmpxchg(volatile unsigned long *ptr, unsigned long old,
          unsigned long new, int size)
 {
 #ifndef __HAVE_ARCH_CMPXCHG
--- work/common/lib/modules/fglrx/build_mod/firegl_public.h
+++ work.new/common/lib/modules/fglrx/build_mod/firegl_public.h
@@ -441,7 +441,8 @@
 extern void ATI_API_CALL KCL_SIGNAL_BlockAll(int (*notifier)(void *priv), void *pPriv, __ke_sigset_t *pSigMask);
 extern void ATI_API_CALL KCL_SIGNAL_UnblockAll(void);
 
-extern unsigned long ATI_API_CALL __ke__cmpxchg(volatile void *ptr, unsigned long old,                     
+extern void __cmpxchg_wrong_size(void);
+extern unsigned long ATI_API_CALL __ke__cmpxchg(volatile unsigned long *ptr, unsigned long old,                     
                       unsigned long new, int size);
 
 #define __ke_cmpxchg(ptr,o,n)                        \



fglrx-2.6.34-rc4.patch:

Code:
--- ati10.4/common/lib/modules/fglrx/build_mod/kcl_wait.c   2010-04-13 20:02:46.494496561 +0200
+++ ati10.4/common/lib/modules/fglrx/build_mod/kcl_wait.c   2010-04-13 19:52:00.054563389 +0200
@@ -39,6 +39,7 @@
 #include <linux/wait.h>
 #include <linux/highmem.h>
 #include <linux/sched.h>
+#include <linux/slab.h>

 #include "kcl_config.h"
 #include "kcl_wait.h"

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Wed Apr 21, 2010 3:10 pm    Post subject: Reply with quote

Wenn es den wirklich der proprietäre Treiber sein muss
siehe auch: https://bugs.gentoo.org/310367
das aktuelle ebuild passt dann auch zum xorg-server-1.7
(ungetestet!)

Viel Erfolg
Back to top
View user's profile Send private message
Dragonix
Apprentice
Apprentice


Joined: 21 May 2006
Posts: 246
Location: Germany

PostPosted: Wed Apr 21, 2010 3:28 pm    Post subject: Reply with quote

Also vom freien Treiber würd' ich zur Zeit absolut abraten, denn die Unterstützung für die HD5er ist noch höchst experimentell, 2d Beschleunigung gibt's m.w. noch garnicht und von 3d reden wir an der Stelle besser auch nicht.
Ich hab hier den 10.4er (Beta, ist in Portage) mit den aktuellen stabilen gentoo-sources und glaub mit xorg-server-1.7 laufen. Damit läuft auch compositing mit KDE (hab ich mit <10.4 und der Karte nie zum laufen gebracht). Wenn man jetzt noch tearingfrei Videos angucken könnte wäre ich glaub sogar einigermaßen zufrieden mit dem Treiber...

Grüße :)
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 21, 2010 3:34 pm    Post subject: Reply with quote

Dragonix wrote:
Also vom freien Treiber würd' ich zur Zeit absolut abraten, denn die Unterstützung für die HD5er ist noch höchst experimentell, 2d Beschleunigung gibt's m.w. noch garnicht und von 3d reden wir an der Stelle besser auch nicht.
Ich hab hier den 10.4er (Beta, ist in Portage) mit den aktuellen stabilen gentoo-sources und glaub mit xorg-server-1.7 laufen. Damit läuft auch compositing mit KDE (hab ich mit <10.4 und der Karte nie zum laufen gebracht). Wenn man jetzt noch tearingfrei Videos angucken könnte wäre ich glaub sogar einigermaßen zufrieden mit dem Treiber...

Grüße :)



Hmm. Und wieder eine gegenteilige Meinung. Könntest du bitte die genauen Versionen posten?

Danke
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Wed Apr 21, 2010 3:39 pm    Post subject: Reply with quote

ati-drivers-10.4
ist aktuell noch nicht im Tree
siehe: http://packages.gentoo.org/package/x11-drivers/ati-drivers

BTW:
siehe auch meinen vorigen Post :wink:
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 21, 2010 3:45 pm    Post subject: Reply with quote

Josef.95 wrote:
ati-drivers-10.4
ist aktuell noch nicht im Tree
siehe: http://packages.gentoo.org/package/x11-drivers/ati-drivers

BTW:
siehe auch meinen vorigen Post :wink:


Den Post habe ich gesehen, danke dafür.
Mir ging es im Moment eher um die xorg-server Version, da ich nicht soviel rumtesten will, da auf dem Laptop weder Wlan, noch Lan geht...

Danke
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Dragonix
Apprentice
Apprentice


Joined: 21 May 2006
Posts: 246
Location: Germany

PostPosted: Wed Apr 21, 2010 4:34 pm    Post subject: Reply with quote

Josef.95 wrote:
ati-drivers-10.4
ist aktuell noch nicht im Tree
siehe: http://packages.gentoo.org/package/x11-drivers/ati-drivers

BTW:
siehe auch meinen vorigen Post :wink:


Doch, die 10.4 Beta ist in Portage, aber um das Namenschaos perfekt zumachen nicht als 10.4 sondern als 8.721.. siehe bugs.gentoo.org (der Link wurde ja schon gepostet).

Bin grad nich an meinem Rechner, aber aufgrund von packages.gentoo.org tipp ich mal drauf, dass ich xorg-server-1.7.6 draufhab..
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 21, 2010 9:18 pm    Post subject: Reply with quote

Irgendwie gibt alles ein SegFault oder ein HardFreeze.

Hat jemand die gleiche Karte wie ich, und es geht bei ihm?
Ähnliche Karten scheinen nicht genauso zu gehen :/

Langsam bin ich am Verzweifeln, nicht, dass ich den neuen Laptop nicht nutzen kann 8O
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Apr 21, 2010 9:42 pm    Post subject: Reply with quote

Finswimmer wrote:
Irgendwie gibt alles ein SegFault oder ein HardFreeze.

Hat jemand die gleiche Karte wie ich, und es geht bei ihm?
Ähnliche Karten scheinen nicht genauso zu gehen :/

Langsam bin ich am Verzweifeln, nicht, dass ich den neuen Laptop nicht nutzen kann 8O


mit Ubuntu 10.04 lief es bei mir problemlos,

es muss also ein Gentoo-spezifisches Problem sein - ich konnte bis jetzt aber leider noch herausfinden, wo der Hund begraben liegt


wenn es mit Gentoo partout nicht gehen sollte, gibt es ja noch Arch & Ubuntu :(
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 21, 2010 9:44 pm    Post subject: Reply with quote

kernelOfTruth wrote:
Finswimmer wrote:
Irgendwie gibt alles ein SegFault oder ein HardFreeze.

Hat jemand die gleiche Karte wie ich, und es geht bei ihm?
Ähnliche Karten scheinen nicht genauso zu gehen :/

Langsam bin ich am Verzweifeln, nicht, dass ich den neuen Laptop nicht nutzen kann 8O


mit Ubuntu 10.04 lief es bei mir problemlos,

es muss also ein Gentoo-spezifisches Problem sein - ich konnte bis jetzt aber leider noch herausfinden, wo der Hund begraben liegt


wenn es mit Gentoo partout nicht gehen sollte, gibt es ja noch Arch & Ubuntu :(


Mir reicht im Moment sogar ein 2D Treiber. Ich bin ja anspruchslos.
Aber bitte kein *buntu, oder sonstiges...
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Apr 21, 2010 9:50 pm    Post subject: Reply with quote

Finswimmer wrote:

Mir reicht im Moment sogar ein 2D Treiber. Ich bin ja anspruchslos.
Aber bitte kein *buntu, oder sonstiges...


ok, is klar ;)

vielleicht wissen die Leute in folgendem Thread weiter:

[how-to] 3d hardware acc with ati open source driver.

weiters denke ich mal werden die Hardware-IDs evtl. noch fehlen, um die Mobility Karten überhaupt ansprechen zu können,

darum fragst oder schaust du am besten einmal im Subforum: Open-Source AMD/ATI Linux unter phoronix.com nach - da frequentieren regelmäßig Entwickler
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Dragonix
Apprentice
Apprentice


Joined: 21 May 2006
Posts: 246
Location: Germany

PostPosted: Wed Apr 21, 2010 10:21 pm    Post subject: Reply with quote

Ich verweis mal auf die Konkurenz: http://bbs.archlinux.org/viewtopic.php?id=93555
Klingt nach einem ähnlichen Problem (xorg segfault mit 10.4) und wurde mit einer neuen 10.4er beta (gibt 2 und m.w. gibts in gentoo blos die erste) gelöst, wenn ich das richtig sehe. Also evtl auf 10.4 final warten, wär vermutlich das einfachste..

Oh, hab mir grad nochmal bei bugs.gentoo.org vorbei geschaut und festgestellt, dass es noch ein 8.721.1 gibt -- evtl ist das der neue beta Treiber.. hast du den schon probiert?
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 21, 2010 10:24 pm    Post subject: Reply with quote

Dragonix wrote:
Oh, hab mir grad nochmal bei bugs.gentoo.org vorbei geschaut und festgestellt, dass es noch ein 8.721.1 gibt -- evtl ist das der neue beta Treiber.. hast du den schon probiert?


Leider ja.

Aber video-ati-9999 scheint zu gehen mit dem neuestn 34-rc5 Kernel.
Jetzt muss nur noch der Rest von X durchkompilieren.
Da habe ich durch den ganzen Versions-misch-masch noch so meine Probleme ;)

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Thu Apr 22, 2010 6:11 pm    Post subject: Reply with quote

Aktueller Stand:
x11-drivers/xf86-video-ati-9999 aus dem x11-Overlay mit KMS im Kernel läuft super.
glxgears liefert 250fps. Also nur 2D, aber sollte zum Arbeiten reichen.
Wenn alles fertig installiert ist, werde ich mal nach Videos, etc. schauen.

Ich hoffe, das hilft allen anderen, die evtl. die Karte haben werden.

Gruß
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4482

PostPosted: Thu Apr 22, 2010 6:13 pm    Post subject: Reply with quote

Finswimmer wrote:
Aktueller Stand:
x11-drivers/xf86-video-ati-9999 aus dem x11-Overlay mit KMS im Kernel läuft super.
glxgears liefert 250fps. Also nur 2D, aber sollte zum Arbeiten reichen.
Wenn alles fertig installiert ist, werde ich mal nach Videos, etc. schauen.

Ich hoffe, das hilft allen anderen, die evtl. die Karte haben werden.

Gruß
Tobi

öhm du weist das glxgears kein benchmark ist? :) Und die 250Fps müssen auch nicht heißen dass "nur" 2D ist.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Thu Apr 22, 2010 6:38 pm    Post subject: Reply with quote

firefly wrote:
Finswimmer wrote:
Aktueller Stand:
x11-drivers/xf86-video-ati-9999 aus dem x11-Overlay mit KMS im Kernel läuft super.
glxgears liefert 250fps. Also nur 2D, aber sollte zum Arbeiten reichen.
Wenn alles fertig installiert ist, werde ich mal nach Videos, etc. schauen.

Ich hoffe, das hilft allen anderen, die evtl. die Karte haben werden.

Gruß
Tobi

öhm du weist das glxgears kein benchmark ist? :) Und die 250Fps müssen auch nicht heißen dass "nur" 2D ist.


Weiß ich. Aber, zumindest bei Nvidia, konnte man schon eine gute Tendenz ablesen.
Wie teste ich denn wirklich unter Linux die Leistung von X bzw. ob 3D da ist?
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Thu Apr 22, 2010 6:43 pm    Post subject: Reply with quote

Was würde den ein
Code:
$ glxinfo | grep renderer
ausgeben?
(glxinfo ist im Paket mesa-progs enthalten)
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Thu Apr 22, 2010 6:55 pm    Post subject: Reply with quote

Josef.95 wrote:
Was würde den ein
Code:
$ glxinfo | grep renderer
ausgeben?
(glxinfo ist im Paket mesa-progs enthalten)

OpenGL renderer string: Software Rasterizer
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Fri Apr 23, 2010 5:27 am    Post subject: Reply with quote

Finswimmer wrote:
Josef.95 wrote:
Was würde den ein
Code:
$ glxinfo | grep renderer
ausgeben?
(glxinfo ist im Paket mesa-progs enthalten)

OpenGL renderer string: Software Rasterizer

Mit der aktuellen ATI Radeon HD 5650 (Evergreen) wirst du dann bezüglich freie Treiber und Hardware Rendering noch etwas Geduld haben müssen...
siehe zb auch: http://xorg.freedesktop.org/wiki/RadeonFeature
Quote:
OpenGL Compliance (Driver/Hardware)
= TODO/4.0


----------------------------------------------------------------------------------------------------------------
Finswimmer wrote:
ati-drivers-8.721 geben einen segfault
ati-drivers-10.3 wollen nur mit xorg-server-1.6.5 und der kompiliert nicht
Ist schon ein wenig traurig/beschämend das AMD/ATI es mit dem Catalyst (fglrx) Treiber unter Linux immer noch nicht auf die Reihe bekommt....
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum